> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Get aggregated analytics overview.

# Get aggregated analytics overview



## OpenAPI

````yaml get /analytics/overview
openapi: 3.0.0
info:
  title: Campaigns Service API
  description: Campaigns Service REST API
  version: '1.0'
  contact: {}
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3/campaigns
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security:
  - apikey: []
tags:
  - name: Notification Feed
    description: Operations on the per-user in-app notification feed.
  - name: Channels
    description: Manage channel instances and per-type availability.
  - name: Templates
    description: Manage templates and their versions.
  - name: Template Categories
    description: Manage template categories for feed filtering.
  - name: Campaigns
    description: Create, schedule, and manage notification campaigns.
  - name: Notifications
    description: Send notifications directly via API.
  - name: Push Notifications
    description: Manage push notification delivery and engagement.
  - name: Analytics
    description: Delivery and engagement analytics.
paths:
  /analytics/overview:
    get:
      tags:
        - Analytics
      summary: Get aggregated analytics overview
      operationId: AnalyticsController_getOverview
      parameters:
        - name: appid
          in: header
          description: Tenant application ID
          required: true
          schema:
            type: string
        - name: dimension
          required: false
          in: query
          description: Rollup dimension to query
          schema:
            type: string
            enum:
              - campaign
              - template
              - channel
        - name: dimensionId
          required: false
          in: query
          description: Dimension ID (campaign ID, template ID, or channel type)
          schema:
            type: string
        - name: period
          required: false
          in: query
          description: Rollup period
          schema:
            type: string
            enum:
              - hourly
              - daily
        - name: startDate
          required: false
          in: query
          description: Start date filter (ISO 8601)
          schema:
            type: string
        - name: endDate
          required: false
          in: query
          description: End date filter (ISO 8601)
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Maximum number of results
          schema:
            default: 50
            type: number
      responses:
        '200':
          description: Analytics overview
components:
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      name: apikey
      description: Your CometChat REST API Key.

````